Name:		gnome-shell-extensions-fif
Version:	2019.01.17
Release:	2%{?dist}
Summary:	A set of Gnome Shell extensions
Group:		User Interface/Desktops

License:	Mixed
URL:		http://extensions.gnome.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	gnome-shell-extension-installer
Patch1:		caffeine@patapon.info-hang.patch
Patch2:		ssh-search-provider@gnome-shell-extensions.brot.github.com-shell-22.patch
Patch3:		weeks-start-on-monday-shell-22.patch
Patch4:		openweather-extension@jenslody.de-c-locale.patch
Patch5:		netspeed@hedayaty.gmail.com-js.patch
Patch6:		TaskBar-57-gnome-shell-3.30.patch
Patch7:		SwitchFocusType@romano.rgtti.com-ByteArray.patch
Patch8:		netspeed@hedayaty.gmail.com-ByteArray.patch
Patch9:		shell-volume-mixer@derhofbauer.at-ByteArray.patch
Patch10:	ssh-search-provider@gnome-shell-extensions.brot.github.com-ByteArray.patch
BuildArch:	noarch
BuildRequires:  /bin/glib-compile-schemas

%description
A set of Gnome Shell extensions:
  - Bluetooth quick connect
  - Caffeine
  - Caribou Resize Workspace
  - Dash to Dock
  - Extend Left Box
  - Frippery Move Clock
  - Hibernate Status Button
  - HistoryManager Prefix Search
  - Media Player Indicator
  - Native Window Placement
  - Netspeed
  - OpenWeather
  - Pidgin Integration
  - Refresh wifi connections
  - Removable Drive Menu
  - SSH Search Provider
  - Slide for Keyboard
  - Status Area Horizontal Spacing
  - Switch Focus Type
  - Taskbar
  - TopIcons Plus
  - Volume Mixer
  - Weeks Start on Monday...
  - windowNavigator
  - WindowOverlay Icon
  - Workspace switch wraparound
  - Zoom Ontop Fix

%prep
%setup -q -c %{name}-%{version}
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
#glib-compile-schemas format-clock@eternal-sorrow.github.com/schemas

find -name '*.orig' -print0 | xargs -r0 rm -f

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions
cp -a * $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions

%files
%{_datadir}/gnome-shell/extensions

%changelog
* Tue Jan 29 2019 Philippe Troin <phil@fifi.org> - 2019.01.17-2
- Patch a few warnings in "Switch Focus Type", "Netspeed", "Shell
  Volume Mixer" and "SSH Search Provider".

* Fri Jan 18 2019 Philippe Troin <phil@fifi.org> - 2019.01.17-1
- Updated:
    * HistoryManager Prefix Search 11 -> 12
    * Native Window Placement 37 -> 38
    * Removable Drive Menu 37 -> 38
    * windowsNavigator 41 -> 42
    * WindowOverlay Icon 31 -> 33
    * Workspace switch wraparound 4 -> 5
- Patched Taskbar v57 for gnome-shell 3.30.

* Tue Nov 20 2018 Philippe Troin <phil@fifi.org> - 2018.11.20-1
- Updated:
    * Bluetooth quick connect 3 -> 4
    * OpenWeather 95 -> 96
    * TopIcons Plus 21 -> 22

* Tue Oct 23 2018 Philippe Troin <phil@fifi.org> - 2018.10.23-1
- Updated:
    * Caffeine 28 -> 30
    * Dash to Dock 63 -> 64
    * Frippery Move Clock 17 -> 18
    * Refresh wifi connections 8 -> 10

* Fri Jun 29 2018 Philippe Troin <phil@fifi.org> - 2018.06.29-1
- Added: Bluetooth quick connect
- Removed: Dynamic panel transparency

* Fri Jun 22 2018 Philippe Troin <phil@fifi.org> - 2018.06.22-1
- Updated the netspeed patch for js warnings.
- Updated:
    * Caffeine 27 -> 28
    * Dash to Dock 62 -> 63
    * Frippery Move Clock 15 -> 17
    * HistoryManager Prefix Search 10 -> 11
    * Native Window Placement 36 -> 37
    * Netspeed 28 -> 29
    * OpenWeather 94 -> 95
    * Removable Drive Menu 35 -> 37
    * Taskbar 56 -> 57
    * Volume Mixer 20 -> 21
    * windowNavigator 39 -> 41
    * WindowOverlay Icon 28 -> 31
    * Workspace switch wraparound 3 -> 4

* Wed Mar  7 2018 Philippe Troin <phil@fifi.org> - 2018.03.07-1
- Updated:
    * Dash to Dock 61 -> 62
    * Dynamic panel transparency 25 -> 26
    * Netspeed 27 -> 28

* Sat Jan 27 2018 Philippe Troin <phil@fifi.org> - 2018.01.26-1
- Update openweather to v94.
- Patch netspeed for new js.

* Mon Jan 22 2018 Philippe Troin <phil@fifi.org> - 2018.01.22-1
- Add a patched OpenWeather extension (supports C locale).

* Fri Jan 19 2018 Philippe Troin <phil@fifi.org> - 2018.01.18-2
- Reenabled patching caffeine for hangs.

* Fri Jan 19 2018 Philippe Troin <phil@fifi.org> - 2018.01.18-1
- Updated for F27:
    * Added extensions:
	o HistoryManager Prefix Search
	o Native Window Placement
	o Removable Drive Menu
	o TopIcons Plus
	o windowNavigator
	o WindowOverlay Icon
    * Removed extensions:
	o Gno-menu
	o Notification Alerts
	o Skype Integraion
	o Suspend Button
    * Updated extensions:
	o Caffeine 26 -> 27
	o Dash to Dock 55 -> 61
	o Dynamic panel transparency 17 -> 25
	o Frippery Move Clock 11 -> 15
	o Hibernate Status Button 10 -> 12
	o Media Player Indicator 42 -> 63
	o Netspeed 26 -> 27
	o Pidgin Integration 30 -> 31
	o Refresh wifi connections 7 -> 8
	o Status Area Horizontal Spacing 9 -> 12
	o Taskbar 53 -> 56
	o Volume Mixer 15 -> 20
	o Workspace switch wraparound 1 -> 3
- Disabled patching caffeine for hangs.

* Fri Jan 20 2017 Philippe Troin <phil@fifi.org> - 2017.01.20-1
- Update Zoom Ontop Fix.

* Thu Jan 19 2017 Philippe Troin <phil@fifi.org> - 2017.01.19-2
- Fix icon size and style for SSH Search Provider.

* Thu Jan 19 2017 Philippe Troin <phil@fifi.org> - 2017.01.19-1
- Added Zoom Ontop Fix.
- Fix icon size for SSH Search Provider.

* Wed Jan 18 2017 Philippe Troin <phil@fifi.org> - 2017.01.18-1
- Added Slide for Keyboard.
- Added Caribou Resize Workspace

* Mon Jan  9 2017 Philippe Troin <phil@fifi.org> - 2017.01.09-1
- Added Hibernate Status Button.

* Sun Jan  8 2017 Philippe Troin <phil@fifi.org> - 2017.01.07-1
- Dropped Format Clock.
- Added Dash to Dock
- Added Gno-Menu

* Sat Jan  7 2017 Philippe Troin <phil@fifi.org> - 2016.01.06-1
- Updated for F25.

* Mon Sep 15 2014 Philippe Troin <phil@fifi.org> - 2014.09.14-1
- Updated:
    - Move-free Message Tray v2 -> v3
    - World Clock v6 -> v7

* Tue Jul  1 2014 Philippe Troin <phil@fifi.org> - 2014.07.01-1
- Added "Flash Fullscreen Fix".

* Mon Jun 30 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-3
- Fix SSH completion providers for hosts that are not hashed yet have
  a 60-byte host name, IP address, etc.

* Mon Jun 30 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-2
- Fix netspeed bobbing around and interface list growing at every
  network event.

* Thu Jun 26 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-1
- Updated for Gnome 2.10.

* Fri Feb  7 2014 Philippe Troin <phil@fifi.org> - 2014.02.06-1
- Updated extensions:
	- SkypeNotification@chrisss404.gmail.com 10 -> 11
	- TaskBar@zpydr 34 -> 38
	- brightness_control@lmedinas.org 16 -> 19
	- caffeine@patapon.info 12 -> 15
	- searchbookmarks@bmh1980de.gmail.com 6 -> 9
	- slingshot@rastersoft.com 22 -> 23
	- ssh-search-provider@gnome-shell-extensions.brot.github.com 19 -> 22
	- weeks-start-on-monday 7 -> 8
	- world_clock@ailin.nemui 4 -> 5

* Tue Nov 12 2013 Philippe Troin <phil@fifi.org> - 2013.11.12-1
- Updated extensions:
	- netspeed@hedayaty.gmail.com 14 -> 18
	- nohotcorner@azuri.free.fr 5 -> 7
	- SkypeNotification@chrisss404.gmail.com 7 -> 10
	- TaskBar@zpydr 26 -> 34
	- windowoverlay-icons@sustmidown.centrum.cz 9 -> 11
	- world_clock@ailin.nemui 3 -> 4

* Wed Oct  9 2013 Philippe Troin <phil@fifi.org> - 2013.10.09-2
- Updated extensions:
	- netspeed@hedayaty.gmail.com 17 -> 14 (v17 broken).

* Wed Oct  9 2013 Philippe Troin <phil@fifi.org> - 2013.10.09-1
- Updated extensions:
	- SkypeNotification@chrisss404.gmail.com 6 -> 7
	- caffeine@patapon.info 11 -> 12
	- netspeed@hedayaty.gmail.com 14 -> 17
	- searchbookmarks@bmh1980de.gmail.com 5 -> 6
	- workspaceNavigator@smotko.si 9 -> 1
	- world_clock@ailin.nemui 1 -> 3

* Sun Oct  6 2013 Philippe Troin <phil@fifi.org> - 2013.10.06-1
- Added the following extensions:
	- No Hot Corner
	- Notifications Alerts on User Menu
	- Overlay Follow Focus
	- Pidgin Conversation Integration
	- Tray Pressure Visualizer

* Mon Sep 30 2013 Philippe Troin <phil@fifi.org> - 2013.09.29-1
- Updated for F19.

* Fri Jun 15 2012 Philippe Troin <phil@fifi.org> - 2012.06.15-1
- Added the following extensions:
	- Power Alt Tab
	- Settings Center
	- Dash to Dock
	- Mediaplayer
	- Pidgin Conversation Integration
	- Quit Button
	- SSH Search Provider
	- Urgent Hint

* Sat Jun  9 2012 Philippe Troin <phil@fifi.org> - 2012-06-08-1
- Created.
